package com.ruoyi.brewery.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 啤酒币方案对象 wy_beer_coin_plan
 * 
 * @author ruoyi
 * @date 2024-12-21
 */
public class WyBeerCoinPlan extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 品牌方id */
    @Excel(name = "品牌方id")
    private Long breweryId;

    /** 方案名 */
    @Excel(name = "方案名")
    private String planName;

    /** 可领取用户数量 */
    @Excel(name = "可领取用户数量")
    private String receivedUserCount;

    /** 每用户可领取啤酒币数量 */
    @Excel(name = "每用户可领取啤酒币数量")
    private String receivedCoinCount;

    /** 有效天数 */
    @Excel(name = "有效天数")
    private Long effectiveDays;

    /** 每日领取次数 */
    @Excel(name = "每日领取次数")
    private Long receiveTimes;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setBreweryId(Long breweryId) 
    {
        this.breweryId = breweryId;
    }

    public Long getBreweryId() 
    {
        return breweryId;
    }
    public void setPlanName(String planName) 
    {
        this.planName = planName;
    }

    public String getPlanName() 
    {
        return planName;
    }
    public void setReceivedUserCount(String receivedUserCount) 
    {
        this.receivedUserCount = receivedUserCount;
    }

    public String getReceivedUserCount() 
    {
        return receivedUserCount;
    }
    public void setReceivedCoinCount(String receivedCoinCount) 
    {
        this.receivedCoinCount = receivedCoinCount;
    }

    public String getReceivedCoinCount() 
    {
        return receivedCoinCount;
    }
    public void setEffectiveDays(Long effectiveDays) 
    {
        this.effectiveDays = effectiveDays;
    }

    public Long getEffectiveDays() 
    {
        return effectiveDays;
    }
    public void setReceiveTimes(Long receiveTimes) 
    {
        this.receiveTimes = receiveTimes;
    }

    public Long getReceiveTimes() 
    {
        return receiveTimes;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("breweryId", getBreweryId())
            .append("planName", getPlanName())
            .append("receivedUserCount", getReceivedUserCount())
            .append("receivedCoinCount", getReceivedCoinCount())
            .append("effectiveDays", getEffectiveDays())
            .append("receiveTimes", getReceiveTimes())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
